entity norm_mant is

	generic(F_WIDTH: positive);

	port(	mant:	in	bit_vector(F_WIDTH+1 downto 0);
			fract:	out	bit_vector(F_WIDTH-1 downto 0);
			norm:	out bit);

end entity norm_mant;


architecture behaviour1 of norm_mant is

begin
	
	process(mant) is
	begin
		if mant(F_WIDTH+1) = '0' then
			-- keine Normierung erforderlich
			fract <= mant(F_WIDTH-1 downto 0);
			norm <= '0';
		else
			-- Normierung erforderlich (durch 2 teilen)
			fract <= mant(F_WIDTH downto 1);
			norm <= '1';
		end if;
	end process;
	
end architecture behaviour1;
